using Game;
using UnityEngine;

namespace InteractiveModules
{
	public abstract class InteractiveModule : MonoBehaviour
	{
		protected ScreenController currentScreenController;
		public virtual void Activate(ScreenController screenController)
		{
			// Save reference to screen controller, so we can control the game flow
			currentScreenController = screenController;
		}

		public virtual void Deactivate()
		{
			// Destroy whole module
			Destroy(gameObject, ScreenController.FadeOutDuration);
		}
	}
}